cupsd(8)

NOM
cupsd - ordonnanceur cups

SYNOPSIS
cupsd [ -c cupsd.conf ] [ -f ] [ -F ] [ -h ] [ -l ] [ -s cups-files.conf ] [ -t ]

DESCRIPTION
cupsd est l'ordonnanceur pour CUPS. Il fournit un système d'impression basé sur l'Internet Printing Protocol, version 2.1, et prend en charge la plupart des exigences de IPP Everywhere. Si aucune option n'est indiquée sur la ligne de commande, alors le fichier de configuration par défaut /etc/cups/cupsd.conf sera utilisé.

OPTIONS

-c cupsd.conf
    Utiliser le fichier de configuration appelé cupsd.conf.

-f  Forcer cupsd à tourner au premier plan ; par défaut, cupsd tourne en arrière-plan comme « démon ».

-F  Forcer cupsd à tourner au premier plan, mais détacher le processus du terminal de contrôle et du répertoire de travail. Cette option est utile pour lancer cupsd depuis init(8).

-h  Afficher un message d'aide.

-l  Cette option est passée à cupsd lorsqu'il est lancé par launchd(8) ou systemd(8).

-s cups-files.conf
    Utiliser le fichier de configuration appelé cups-files.conf.

-t  Tester le fichier de configuration pour les erreurs de syntaxe.

FICHIERS
/etc/cups/classes.conf
/etc/cups/cups-files.conf
/etc/cups/cupsd.conf
/usr/share/cups/mime/mime.convs
/usr/share/cups/mime/mime.types
/etc/cups/printers.conf
/etc/cups/subscriptions.conf

CONFORMITÉ
cupsd fournit tous les attributs et opérations d’IPP/2.1. Il implémente aussi plusieurs opérations d'administration spécifiques à CUPS.

EXEMPLES
Forcer cupsd à tourner en arrière-plan avec le fichier de configuration par défaut :

    cupsd

Tester un fichier de configuration appelé test.conf :

    cupsd -t -c test.conf

Forcer cupsd à tourner au premier plan avec un fichier de configuration appelé test.conf :

    cupsd -f -c test.conf

VOIR AUSSI
backend(7), classes.conf(5), cups(1), cups-files.conf(5), cups-lpd(8), cupsd.conf(5), cupsd-helper(8), cupsd-logs(8), filter(7), launchd(8), mime.convs(5), mime.types(5), printers.conf(5), systemd(8), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.